Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util
Class JarConnection

    java.lang.Object
      java.net.URLConnection
          com.jaspersoft.jasperserver.api.engine.jasperreports.util.JarConnection

    public class JarConnection

extends java.net.URLConnection

Version:
  $Id: JarConnection.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

Constructor Summary
`JarConnection(java.net.URL url, JarFileEntry entry)`

Method Summary
`void` | `connect()`
`int` | `getContentLength()`
`java.lang.String` | `getHeaderField(java.lang.String field)`
`java.io.InputStream` | `getInputStream()`
`long` | `getLastModified()`

Methods inherited from class java.net.URLConnection
`addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFields, getIfModifiedSince, getOutputStream, getPermission, getReadTimeout, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setRequestProperty, setUseCaches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JarConnection

    public JarConnection(java.net.URL url,
                         JarFileEntry entry)

Method Detail

### connect

    public void connect()
                 throws java.io.IOException

  Specified by:
    `connect` in class `java.net.URLConnection`
  Throws:
    `java.io.IOException`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Overrides:
    `getInputStream` in class `java.net.URLConnection`
  Throws:
    `java.io.IOException`

### getContentLength

    public int getContentLength()

  Overrides:
    `getContentLength` in class `java.net.URLConnection`

### getLastModified

    public long getLastModified()

  Overrides:
    `getLastModified` in class `java.net.URLConnection`

### getHeaderField

    public java.lang.String getHeaderField(java.lang.String field)

  Overrides:
    `getHeaderField` in class `java.net.URLConnection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.